Subject: Re: bug#5655: incorrect paths for crt1.o, crtn.o, etc.

From: Glenn Morris <[email-masked]>
Date: Tue, 27 Apr 2010 03:04:11 -0400

Glenn Morris wrote:

> Sorry about that. Can you try to debug it? It's not obvious to me why
> that should happen. What is $canonical on your system?

I guess it is this comment in src/m/amdx86-64.h. It seems to me that
the right fix is to set $canonical correctly on such a system to
i386-*-linux-gnu* rather than x86_64-*-linux-gnu*.

/* Although we're running on an amd64 kernel, we're actually compiling for
   the x86 architecture.  The user should probably have provided an
   explicit --build to `configure', but if everything else than the kernel
   is running in i386 mode, then the bug is really ours: we should
   have guessed better.  */